package com.tzld.piaoquan.risk.control.model.qywx;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class CorpSwitchCallBackModel {
    @JSONField(name = "this_vid")
    private Long thisVid; // 切换前当前登录的账号vid

    @JSONField(name = "vid")
    private Long vid; // 切换企业后的账号vid

    @JSONField(name = "corp_full_name")
    private String corpFullName;

    @JSONField(name = "corpid")
    private Long corpId; // 切换后的企业id

    @JSONField(name = "create_time")
    private Integer createTime;

    @JSONField(name = "mail")
    private String mail;

    @JSONField(name = "ownername")
    private String ownerName; // 企业创建人昵称

    @JSONField(name = "card_url")
    private String cardUrl; // 企业头像URL

    @JSONField(name = "nickname")
    private String nickname; // 切换后的账号昵称

    @JSONField(name = "avatar")
    private String avatar; // 切换后的账号头像URL

    @JSONField(name = "corp_name")
    private String corpName; // 切换后的企业名称
}